EDIT - bug #5907

Advanced Search for taxa: search results seem to be unordered
06/22/2016 03:16 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

example:

GD8quEFugZYKekSOZszuX5DDdd8&form token ef-M- kE4mapN4gdGJgIPHZU EquB7r0|uLXrEPGgpQ&form id=cdm_datap

ortal_search_taxon_form_advanced&search[pageSize]=25&search[pageNumber]=0&g=cdm_dataportal%2Fsearch%2Fresults%2Fta
xon&search[areas][areas_filter]=&search[areas][area]rO[ab17eee9-1abb-4ce9-a9a2-563f840cdbfc]=ab17eee9-1abb-4ce9-a9a2-56 3f
840cdbfc&search[tree]=0c2b5d25-7b15-4401-8b51-dd4beOee5cab&search[doTaxal=1

Related issues:
Related to EDIT - bug #3788: sort order of search results broken in free-text... New

History

#1 - 02/18/2020 11:52 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#2 - 02/18/2020 12:02 PM - Andreas Kohlbecker

- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.14

#3 - 02/18/2020 12:03 PM - Andreas Kohlbecker

Also reported by Eckhard:

beim Ausprobieren der advanced search options im Portal fiel mir auf, dass die Ausgabeliste der gefundenen Namen nicht sortiert ist.
Wenn ich etwa einen Gattungsnamen eingebe (Cichorium) und ein Areal (z.B. Italy), erhalte ich diese unsortierte Liste:
Cichorium endivia subsp. sativum Cout., F1l. Portugal: 662. 1913

Cichorium pumilum Jacqg., Observ. Bot. 4: 3. 1771

Cichorium endivia L., Sp. Pl.: 813. 1753

Cichorium spinosum L., Sp. Pl.: 813. 1753

? Cichorium intybus subsp. spicatum I. Ricci in Willdenowia 37: 142. 2007

Cichorium intybus L., Sp. Pl.: 813. 1753

Die Namen sollten in der Ergebnisliste genauso sortiert sein wie bei der einfachen Suche, also alphabetisch.

Viele Grif3e,
Eckhard

#4 - 02/19/2020 05:19 PM - Andreas Miiller

- Tags changed from search to search, euro+med

#5 - 04/08/2020 03:55 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#6 - 05/12/2020 01:37 PM - Andreas Kohlbecker
- Priority changed from Priority14 to Highest
http://test.e-taxonomy.eu/dataportal/preview/cyprus/?ws=portal%2Ftaxon%2Fsearch&query=&form_build_id=form-zBURq4QraA7tKVGD8CnqEFugZYKekSO2zbPuX5DDdd8&form_token=ef-M-kE4mapN4gdGJqIPHZU-EUuvB7rojuLXrEPG9pQ&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&q=cdm_dataportal%2Fsearch%2Fresults%2Ftaxon&search%5Bareas%5D%5Bareas_filter%5D=&search%5Bareas%5D%5Barea%5Dr0%5Bab17eee9-1abb-4ce9-a9a2-563f840cdbfc%5D=ab17eee9-1abb-4ce9-a9a2-563f840cdbfc&search%5Btree%5D=0c2b5d25-7b15-4401-8b51-dd4be0ee5cab&search%5BdoTaxa%5D=1
http://test.e-taxonomy.eu/dataportal/preview/cyprus/?ws=portal%2Ftaxon%2Fsearch&query=&form_build_id=form-zBURq4QraA7tKVGD8CnqEFugZYKekSO2zbPuX5DDdd8&form_token=ef-M-kE4mapN4gdGJqIPHZU-EUuvB7rojuLXrEPG9pQ&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&q=cdm_dataportal%2Fsearch%2Fresults%2Ftaxon&search%5Bareas%5D%5Bareas_filter%5D=&search%5Bareas%5D%5Barea%5Dr0%5Bab17eee9-1abb-4ce9-a9a2-563f840cdbfc%5D=ab17eee9-1abb-4ce9-a9a2-563f840cdbfc&search%5Btree%5D=0c2b5d25-7b15-4401-8b51-dd4be0ee5cab&search%5BdoTaxa%5D=1
http://test.e-taxonomy.eu/dataportal/preview/cyprus/?ws=portal%2Ftaxon%2Fsearch&query=&form_build_id=form-zBURq4QraA7tKVGD8CnqEFugZYKekSO2zbPuX5DDdd8&form_token=ef-M-kE4mapN4gdGJqIPHZU-EUuvB7rojuLXrEPG9pQ&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&q=cdm_dataportal%2Fsearch%2Fresults%2Ftaxon&search%5Bareas%5D%5Bareas_filter%5D=&search%5Bareas%5D%5Barea%5Dr0%5Bab17eee9-1abb-4ce9-a9a2-563f840cdbfc%5D=ab17eee9-1abb-4ce9-a9a2-563f840cdbfc&search%5Btree%5D=0c2b5d25-7b15-4401-8b51-dd4be0ee5cab&search%5BdoTaxa%5D=1
http://test.e-taxonomy.eu/dataportal/preview/cyprus/?ws=portal%2Ftaxon%2Fsearch&query=&form_build_id=form-zBURq4QraA7tKVGD8CnqEFugZYKekSO2zbPuX5DDdd8&form_token=ef-M-kE4mapN4gdGJqIPHZU-EUuvB7rojuLXrEPG9pQ&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&q=cdm_dataportal%2Fsearch%2Fresults%2Ftaxon&search%5Bareas%5D%5Bareas_filter%5D=&search%5Bareas%5D%5Barea%5Dr0%5Bab17eee9-1abb-4ce9-a9a2-563f840cdbfc%5D=ab17eee9-1abb-4ce9-a9a2-563f840cdbfc&search%5Btree%5D=0c2b5d25-7b15-4401-8b51-dd4be0ee5cab&search%5BdoTaxa%5D=1
http://test.e-taxonomy.eu/dataportal/preview/cyprus/?ws=portal%2Ftaxon%2Fsearch&query=&form_build_id=form-zBURq4QraA7tKVGD8CnqEFugZYKekSO2zbPuX5DDdd8&form_token=ef-M-kE4mapN4gdGJqIPHZU-EUuvB7rojuLXrEPG9pQ&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&q=cdm_dataportal%2Fsearch%2Fresults%2Ftaxon&search%5Bareas%5D%5Bareas_filter%5D=&search%5Bareas%5D%5Barea%5Dr0%5Bab17eee9-1abb-4ce9-a9a2-563f840cdbfc%5D=ab17eee9-1abb-4ce9-a9a2-563f840cdbfc&search%5Btree%5D=0c2b5d25-7b15-4401-8b51-dd4be0ee5cab&search%5BdoTaxa%5D=1

#7 - 06/23/2020 01:58 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#8 - 01/13/2021 04:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#9 - 01/27/2021 03:12 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#10 - 03/10/2021 03:01 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#11 - 04/20/2021 08:44 AM - Andreas Kohlbecker
- Status changed from New to Worksforme

- Assignee changed from Andreas Kohlbecker to Eckhard von Raab-Straube

this is fixed already and should be closed.
@Eckhard: please can you double check?

The target version assignment should be removed after positive review.

#12 - 04/20/2021 09:45 AM - Andreas Miiller
- Status changed from Worksforme to Feedback
- Assignee changed from Eckhard von Raab-Straube to Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

Why do you think this is fixed? The order of the example page seems to be completely unordered.

#13 - 04/20/2021 10:55 AM - Andreas Kohlbecker
- Status changed from Feedback to New

- Target version changed from Release 5.25 to Release 5.46

| tested on the cichorieae portal to reproduce the problem reported by Eckhard in comment 3. For a query searching "Cichorium" the results
un-ordered, since | was using the simple search - my bad!
But it turns out that the advanced search results are indeed unordered :

http http://test.e-taxonomy.eu/cdmserver/cyprus/portal/taxon/search. json pageSize==25 pageNumber==0 tree==0c2b
5d25-7b15-4401-8b51-dd4beleebcab doTaxa==1 query==L%2A | jgq '.records[].entity.titleCache'

http http://test.e-taxonomy.eu/cdmserver/cichorieae/portal/taxon/search.json pageSize==25 pageNumber==0 tree==
534e190£f-3339-49ba-95d9-fa27d5493e3e doTaxa==1 query==L%2A | jqg '.records[].entity.titleCache'

(jg and httpie are required for the above commands)

#14 - 04/20/2021 11:17 AM - Andreas Miiller

Note Also for Cichorium it is unordered:

kKeNv4sRvMabLOEuMcochHArmdbPr4206yTX8KV|0&form id=cdm_dataportal search_taxon_form advanced&search%SBpage&ze%SD 25&se
rch%5BpageNumber%5D=0&search%5Bareas%5D%5Bareas_filter%5D=&search%5Btree%5D=534e190f-3339-49ba-95d9-fa27d5493e3e&search%

5BdoTaxa%5D=1

E.g. C. alatum comes after C. dubium

#15 - 04/20/2021 11:18 AM - Andreas Miiller

By the way, also the feature list in "by content category" is unordered but should be ordered.

#16 - 04/20/2021 12:22 PM - Andreas Kohlbecker

- Related to bug #3788: sort order of search results broken in free-text taxon search added
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Fsearch&query=Cichorium&form_build_id=form-bkKeNv4sRvMabLOEuMcozc5HArmdbPr4206yTX8KVi0&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&search%5Bareas%5D%5Bareas_filter%5D=&search%5Btree%5D=534e190f-3339-49ba-95d9-fa27d5493e3e&search%5BdoTaxa%5D=1
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Fsearch&query=Cichorium&form_build_id=form-bkKeNv4sRvMabLOEuMcozc5HArmdbPr4206yTX8KVi0&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&search%5Bareas%5D%5Bareas_filter%5D=&search%5Btree%5D=534e190f-3339-49ba-95d9-fa27d5493e3e&search%5BdoTaxa%5D=1
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Fsearch&query=Cichorium&form_build_id=form-bkKeNv4sRvMabLOEuMcozc5HArmdbPr4206yTX8KVi0&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&search%5Bareas%5D%5Bareas_filter%5D=&search%5Btree%5D=534e190f-3339-49ba-95d9-fa27d5493e3e&search%5BdoTaxa%5D=1
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Fsearch&query=Cichorium&form_build_id=form-bkKeNv4sRvMabLOEuMcozc5HArmdbPr4206yTX8KVi0&form_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=0&search%5Bareas%5D%5Bareas_filter%5D=&search%5Btree%5D=534e190f-3339-49ba-95d9-fa27d5493e3e&search%5BdoTaxa%5D=1
